> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update action node



## OpenAPI

````yaml /openapi/multichannel-publicapi.json patch /multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes/actions/{nodeID}
openapi: 3.1.0
info:
  description: >-
    Returns the current state of a LinkedIn account. Useful while polling a
    connection that is waiting on OTP.
  title: Multichannel Public API
  version: '1.0'
servers:
  - url: /public
security:
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes/actions/{nodeID}:
    patch:
      tags:
        - multichannel
      summary: Update action node
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
        - description: Sequence ID
          in: path
          name: sequenceID
          required: true
          schema:
            type: integer
        - description: Node ID
          in: path
          name: nodeID
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                - $ref: '#/components/schemas/requests.UpdateActionNodeRequest'
                  summary: request
                  description: Update action node request
        description: Update action node request
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.NodeResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    requests.UpdateActionNodeRequest:
      properties:
        distributionStrategy:
          enum:
            - equal
            - custom
          type: string
        variants:
          items:
            $ref: '#/components/schemas/requests.UpdateNodeVariantRequest'
          type: array
          uniqueItems: false
        wait_in_minutes:
          type: integer
      type: object
    responses.NodeResponse:
      properties:
        actionId:
          type: integer
        branches:
          items:
            $ref: '#/components/schemas/responses.NodeBranchResponse'
          type: array
          uniqueItems: false
        conditionId:
          type: integer
        distributionStrategy:
          type: string
        id:
          type: integer
        sequenceId:
          type: integer
        type:
          type: string
        variants:
          items:
            $ref: '#/components/schemas/responses.NodeVariantResponse'
          type: array
          uniqueItems: false
        waitInMinutes:
          type: integer
        waitType:
          type: string
      type: object
    responses.ErrorResponse:
      properties:
        data: {}
        message:
          type: string
      type: object
    requests.UpdateNodeVariantRequest:
      properties:
        exposureInPercentage:
          maximum: 100
          minimum: 0
          type: integer
        id:
          type: integer
        isEnabled:
          type: boolean
        metadata:
          $ref: '#/components/schemas/requests.UpdateNodeMetadataDTO'
      type: object
    responses.NodeBranchResponse:
      properties:
        description:
          type: string
        fromNodeId:
          type: integer
        id:
          type: integer
        name:
          type: string
        toNodeId:
          type: integer
      type: object
    responses.NodeVariantResponse:
      properties:
        exposureInPercentage:
          type: number
        id:
          type: integer
        isEnabled:
          type: boolean
        metadata:
          $ref: '#/components/schemas/responses.MetadataResponse'
        nodeId:
          type: integer
      type: object
    requests.UpdateNodeMetadataDTO:
      properties:
        allowed_validation_statuses:
          items:
            type: string
          type: array
          uniqueItems: false
        message:
          type: string
        name:
          type: string
        subject:
          type: string
      type: object
    responses.MetadataResponse:
      properties:
        message:
          type: string
        name:
          type: string
        subject:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````